package com.zanxiang.game.module.base.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-11-25
 * @description : 应用类型枚举
 */
@Getter
@AllArgsConstructor
public enum PayApplicationTypeEnum {

    /**
     * 微信小程序
     */
    WX_MINI_APP(1, "微信小程序"),

    /**
     * 微信公众号
     */
    WX_MP(2, "微信公众号"),

    /**
     * 支付宝应用
     */
    ALI_PAY_APP(3, "支付宝应用");

    /**
     * 应用类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String describe;

    public static String getDescByType(Integer type) {
        PayApplicationTypeEnum[] values = PayApplicationTypeEnum.values();
        for (PayApplicationTypeEnum value : values) {
            if (value.getType().equals(type)) {
                return value.getDescribe();
            }
        }
        return null;
    }
}
